RDKit: RDKit::MarvinRectangle Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
RDKit::MarvinRectangle Class Reference

`#include <MarvinDefs.h>`

## Public Member Functions
| MarvinRectangle (double left, double right, double top, double bottom)
| MarvinRectangle (const RDGeom::Point3D &upperLeftInit, const RDGeom::Point3D &lowerRightInit)
| MarvinRectangle (const std::vector< MarvinAtom * > &atoms)
| MarvinRectangle (const std::vector< MarvinRectangle > &rects)
void | extend (const MarvinRectangle &otherRectangle)
RDGeom::Point3D & | getCenter ()
bool | overlapsVertically (const MarvinRectangle &otherRectangle) const
bool | overlapsVHorizontally (const MarvinRectangle &otherRectangle) const

## Static Public Member Functions
static bool | compareRectanglesByX (MarvinRectangle &r1, MarvinRectangle &r2)
static bool | compareRectanglesByYReverse (MarvinRectangle &r1, MarvinRectangle &r2)

## Public Attributes
RDGeom::Point3D | upperLeft
RDGeom::Point3D | lowerRight

## Protected Attributes
RDGeom::Point3D | center
bool | centerIsStale = true

## Detailed Description

Definition at line 183 of file MarvinDefs.h.

## Constructor & Destructor Documentation

## ◆ MarvinRectangle() [1/4]

RDKit::MarvinRectangle::MarvinRectangle | ( | double | left,
|  | double | right,
|  | double | top,
|  | double | bottom )

Referenced by compareRectanglesByX(), compareRectanglesByYReverse(), extend(), overlapsVertically(), and overlapsVHorizontally().

## ◆ MarvinRectangle() [2/4]

RDKit::MarvinRectangle::MarvinRectangle | ( | const RDGeom::Point3D & | upperLeftInit,
|  | const RDGeom::Point3D & | lowerRightInit )

## ◆ MarvinRectangle() [3/4]

RDKit::MarvinRectangle::MarvinRectangle | ( | const std::vector< MarvinAtom * > & | atoms | ) |

## ◆ MarvinRectangle() [4/4]

RDKit::MarvinRectangle::MarvinRectangle | ( | const std::vector< MarvinRectangle > & | rects | ) |

## Member Function Documentation

## ◆ compareRectanglesByX()

static bool RDKit::MarvinRectangle::compareRectanglesByX | ( | MarvinRectangle & | r1,
|  | MarvinRectangle & | r2 )
| static

References MarvinRectangle().

## ◆ compareRectanglesByYReverse()

static bool RDKit::MarvinRectangle::compareRectanglesByYReverse | ( | MarvinRectangle & | r1,
|  | MarvinRectangle & | r2 )
| static

References MarvinRectangle().

## ◆ extend()

void RDKit::MarvinRectangle::extend | ( | const MarvinRectangle & | otherRectangle | ) |

References MarvinRectangle().

## ◆ getCenter()

RDGeom::Point3D & RDKit::MarvinRectangle::getCenter | ( |  | ) |

## ◆ overlapsVertically()

bool RDKit::MarvinRectangle::overlapsVertically | ( | const MarvinRectangle & | otherRectangle | ) | const

References MarvinRectangle().

## ◆ overlapsVHorizontally()

bool RDKit::MarvinRectangle::overlapsVHorizontally | ( | const MarvinRectangle & | otherRectangle | ) | const

References MarvinRectangle().

## Member Data Documentation

## ◆ center

RDGeom::Point3D RDKit::MarvinRectangle::center
| protected

Definition at line 185 of file MarvinDefs.h.

## ◆ centerIsStale

bool RDKit::MarvinRectangle::centerIsStale = true
| protected

Definition at line 186 of file MarvinDefs.h.

## ◆ lowerRight

RDGeom::Point3D RDKit::MarvinRectangle::lowerRight

Definition at line 190 of file MarvinDefs.h.

## ◆ upperLeft

RDGeom::Point3D RDKit::MarvinRectangle::upperLeft

Definition at line 189 of file MarvinDefs.h.

The documentation for this class was generated from the following file:

- MarvinDefs.h